# https://github.com/cmauri/eviacam/archive/v2.0.1.tar.gz

Name:           eviacam
Version:        2.0.1
Release:        %mkrel 2
Summary:        A Cross-Platform Webcam Based Mouse Emulator
Summary(de):    Ein plattformunabhängiger, Webcam-bsasierter Mausemulator

License:        GPLv3
Group:          Accessibility
URL:            http://eviacam.crea-si.com/
Source:         %{name}-%{version}.tar.xz

BuildRequires:	desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  gettext-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  %{_lib}wxgtku3.0-devel
BuildRequires: 	%{_lib}xtst-devel
BuildRequires:	%{_lib}xext6
BuildRequires:  libpthread-stubs
BuildRequires:  opencv
BuildRequires:  opencv-devel
BuildRequires:  wayland-protocols-devel

%description
Enable Viacam (aka eViacam) is a mouse replacement software that moves
the pointer as you move your head. It works on standard PCs equipped
with a web camera. No additional hardware is required. Based on the
award winning Facial Mouse software.

%description -l de
Das eingeschaltete Viacam (aka eViacam) ist eine die Maus ersetzende
Software, die den Mauszeiger bewegt, wenn Sie ihren Kopf bewegen. Es
funktioniert auf Standard-PC, die mit einer Webcam ausgestattet sind.
Es ist keine Extrahardware notwendig. Das Programm basiert auf der
preisgekrönten Facial Mouse Software.

%prep
%setup -q
%__chmod 0644 COPYING AUTHORS ChangeLog COPYING README THANKS TODO
dos2unix COPYING AUTHORS ChangeLog COPYING README THANKS TODO

%build
./autogen.sh
%configure2_5x --with-wx-config=%{_bindir}/wx-config-3.0
%make_build

%install
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME-Accessibility" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*

# Remove ast language file currently broken in the wxgtk stable branch
%__rm -rf %{buildroot}%{_datadir}/locale/ast
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Mon Apr 30 2018 marcin82 <fixxer1982 at gmail.com> 2.0.1-2pclos2018
- rebuild, compiled with gtk3.0/wxgtku3.0

* Mon Jun 22 2015 bb <bb> 2.0.1-1pclos2015
- update

* Sat Jul 26 2014 ghostbunny <ghostbunny at gmx dot de> 1.7.2-1pclos2014
- 1.7.2

* Fri May 31 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 1.7.0-1pclos2013
- 1.7.0
- commented patch
- image in pixmaps is now png insteaf of xpm
